@use 'variables/colors' as colors;

.btn {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 7px 20px;
    cursor: pointer;
    appearance: none;
    border-radius: 6px;
    font-weight: 400;
    font-size: 15px;
    line-height: 18px;
    border: 1px solid rgba(0, 0, 0, 0);
    transition: .3s ease;

    &-small {
        font-weight: normal;
        padding: 4px 10px;
    }

    &-lightgray2 {
        background-color: colors.$grayLight2;
        color: colors.$grayBlack;
        &:hover {
            color: colors.$grayLight2;
            background-color: colors.$grayBlack;
        }
    }
    &-red {
        background-color: colors.$red;
        color: colors.$white;
        &:hover {
            color: colors.$red;
            background-color: colors.$white;
            border-color: colors.$red;
        }
    }

    &-white-opacity {
        color: colors.$white;
        background-color: rgba(colors.$white, .15);
        &:not(:disabled):not([disabled]):hover {
            background-color: rgba(colors.$white, .25);
        }
        &:disabled, &[disabled] {
            color: rgba(colors.$white, .2);
            cursor: not-allowed;
        }
    }
}
